      SUBROUTINE USRSUB
      IMPLICIT REAL*8(A-H,K-M,O-Z)
      COMMON /SYSALL/MP,ZP,MT,ZT,M1,Z1,M2,Z2,M3,Z3,M0,P0L(0:3)
      COMMON /DETVAR/T1L,P1LA,A1D,B1D,T2L,P2LA,A2D,B2D
      DIMENSION SDFTBL(2,*)
      CHARACTER COMMNT*(*),MNTITL*(*),HSTNAM*16,SUBTTL*80,LINE*(*)
C*********************************************
      DIMENSION P1L(0:3),P2L(0:3)
      PARAMETER (PI=3.14159265358979, RAD=PI/180.D0, DEG=180.D0/PI)
      INTEGER*4 HS12
      REAL*4    PFA2X,PFA2A,PFAB2Y,X1,A1,Y1,X2,A2,Y2
      REAL*8    ZWC1,ZWC2,WWC,ZHOD,WHOD,T1C,T2C
      DATA      ZWC1/-400./,ZWC2/+350./,WWC/20./,ZHOD/590./,WHOD/40./
      DATA      T1C/135./,T2C/135./
C     ________________________________________ PROCESS OF 1-EVENT
      ENTRY EVENT1(EX,S12,TH12C,W,*)
      PF=P1LA/P1C
      X1=PF A2X(PF,A1D)
      A1=PF A2A(PF,A1D)
      Y1=PFAB2Y(PF,A1D,B1D)
      PF=P2LA/P2C
      X2=PF A2X(PF,A2D)
      A2=PF A2A(PF,A2D)
      Y2=PFAB2Y(PF,A2D,B2D)
      IF (ABS(NINT((X1+A1*ZHOD)/WHOD)
     -       -NINT((X2+A2*ZHOD)/WHOD)).LE.1) RETURN 1
      CALL OUT1WD(HS12,S12,W)
      RETURN
C     ________________________________________ USER PARAMETER ROUTINE
      ENTRY USRPRM(LINE)
      READ(LINE,*) FF
      WRITE(6,'(A,F8.4)') ' FF             :',FF
      RETURN
C     ________________________________________ DEFINING HISTOGRAMS
      ENTRY DEFHST(ID,COMMNT,MNTITL)
      P1C=SQRT(T1C*(T1C+2.D0*M1))*FF
      P2C=SQRT(T2C*(T2C+2.D0*M2))*FF
      SUBTTL=MNTITL//', '//COMMNT
      CALL TITLE(SUBTTL,'NEW')
      CALL HSTERR(HS12,'S12', 0.,5.,500,
     -           'Relative Energy Distr.','S12 (MeV)','Yield/10keV')
C     call hist1(iii,'dummy',0.,10.,10,'dummy','dymmy','dummy')
      RETURN
C     ________________________________________ TERMINATING HISTOGRAMS
      ENTRY ENDHST(WINT,SDFTBL,NSDF,DEX)
      write(6,'(1p2E16.5)') (SDFTBL(1,I),SDFTBL(2,I),I=1,NSDF)
      SINT=0.
      DO I=1,NSDF
      SINT=SINT+SDFTBL(2,I)
      ENDDO
      SINT=SINT*(SDFTBL(1,2)-SDFTBL(1,1))*4.D0*PI
      WRITE(6,*) 'SINT=',SINT
C     CALL HOPTN('HNORM',SNGL(SINT/DEX),HS12)
      CALL OUTHST
      RETURN
C     ________________________________________ TERMINATING PROGRAM
      ENTRY FINISH
      RETURN
      END

      INCLUDE 'disopt.f'
