      implicit real*8(a-h,k,o-z)
      include 'parameter.f'
      parameter (nR=75, dR=0.2, mR=2, nE12=7)
      real*8     mp
      parameter (mp=931.494*1.007275)
      parameter (hc=197.32705, e2=hc/137.036, ZZ=1.D0)
      parameter (app=-7.810, Rpp=2.767)
      parameter (gamma=0.577215664901532, Rc=hc**2/e2/mp)
      real*8     E12(nE12),chi(0:nRmax,nE12)
      data   E12/0.1,0.2,0.3,0.4,0.5,0.7,1.0/
c     data   E12/0.5,2.5,5.0,7.5,10.0,12.5,25.0/ ! compare with Arndt p/s
      call rsck0(1)
      call rsck(nE12,E12,nR,dR,mR,chi)
      write(1,'(A/A/A/A)') 'set font basic','set mode vec=off',
     &     'set limit x 0 15 y -1 1.5','set scale x 4 -5'
      do iE12=1,nE12
         write(1,'(0pF6.2,1pE11.3)') (iR*dR,chi(iR,iE12),iR=0,nR)
         write(1,'(A)') 'join'
      enddo
      write(6,'(/A)') 'phase-shift from the effective-range theory'
      pi=atan(1.D0)*4.D0
      do iE12=1,nE12
         k12=sqrt(mp*E12(iE12))/hc
         eta=ZZ*e2*0.5D0*mp/(hc**2*k12)
         eta2=eta*eta
         w=0.
         do i=1,100
            w=w+1.D0/i/(i**2+eta2)
         enddo
         h=eta2*w-log(eta)-gamma
         w=2.D0*pi*eta
         delta=atan(w/(exp(w)-1.D0)
     &               /(0.5D0*Rpp*k12-(1.D0/app+h/Rc)/k12))
         write(6,'(F8.2,2F8.2,2F10.5)')
     &        E12(iE12),0.,delta/pi*180.,exp(dcmplx(0.D0,2.D0*delta))
      enddo
      end

