#! /bin/sh

for LP in 3 5
do
grep -v '^ *#' <<EOF | test-ffexpd
 4  4  $LP  0  / IB,j,lp,la
 12  6  / A,Z
# two-body effective interaction
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 3  3.5  0.7143  257.05  2.5  -631.79  4.0 / real central direct
  1 1 1 2 2               132.37  2.5  -470.63  4.0 / imag central direct
  1 1 3 1 4  54.1158 1.429  -302.105 1.818  1706.87  2.5  -9194.06 4.0
  1 1 3 2 4  16.5249 1.429  -162.008 1.818   976.375 2.5  -5643.60 4.0
  1 1 2 1 1  -44.38  0 / real central exchange
  1 1 2 2 1   -3.53  0 / imag central exchange
 -1 /
# single-particle potential parameters
 1.25  0.65  6  1.3  / r0, a, VLS, r0C
# single-particle orbit definition
 'p0s1/2'   V   50.00  34.00  / orbit, search-param, V0, B.E.
 'p0p3/2'   V   50.00  15.96  / orbit, search-param, V0, B.E.
 'p0p1/2'   V   50.00  13.77  / orbit, search-param, V0, B.E.
 'n0p3/2'   V   50.00   5.12  / orbit, search-param, V0, B.E.
 'n0p1/2'   V   50.00   3.37  / orbit, search-param, V0, B.E.
 'n1s1/2'   V   50.00   1.85  / orbit, search-param, V0, B.E.
 'n0d5/2'   V   50.00   1.095 / orbit, search-param, V0, B.E.
 'n0d3/2'   V   50.00   0.01  / orbit, search-param, V0, B.E.
 'end' /
# spectroscopic-amplitude for p-h configurations
 'p0p3/2' 'n0d5/2'  0.81293  / hole, particle, spectroscopic amplitude
 'end' /
# rs
 31  0.0  0.5  1.0  1.5  2.0  2.5  3.0  3.5  4.0  4.5 \
     5.0  5.5  6.0  6.5  7.0  7.5  8.0  8.5  9.0  9.5 \
    10.0 10.5 11.0 11.5 12.0 12.5 13.0 13.5 14.0 14.5 15.0
EOF
done
mesh.sh fort.11 > `basename $0 .sh`-3-0-3.dat
mesh.sh fort.12 > `basename $0 .sh`-5-0-5.dat
exit
