      subroutine amp2cs(S,obs)
      implicit real*8(a-h,o-z)
      parameter (nobs=5)
      real*8     obs(nobs) ! cs,Ay,Ayy,Axx,Axz
      complex*16 S(-1:1),opr(-1:1,-1:1,nobs),obs0(nobs)
      parameter (r12=0.70710678118654752440D0, s12=-r12) ! 1/sqrt(2)
      parameter (r38=1.06066017177982128660D0, s38=-r38) ! 3/sqrt(8)
      data opr/
c     I
     &     ( 1.0, 0.0),( 0.0, 0.0),( 0.0, 0.0),
     &     ( 0.0, 0.0),( 1.0, 0.0),( 0.0, 0.0),
     &     ( 0.0, 0.0),( 0.0, 0.0),( 1.0, 0.0),
c     Py
     &     ( 0.0, 0.0),( 0.0, s12),( 0.0, 0.0),
     &     ( 0.0, r12),( 0.0, 0.0),( 0.0, s12),
     &     ( 0.0, 0.0),( 0.0, r12),( 0.0, 0.0),
c     Pyy
     &     (-0.5, 0.0),( 0.0, 0.0),(-1.5, 0.0),
     &     ( 0.0, 0.0),( 1.0, 0.0),( 0.0, 0.0),
     &     (-1.5, 0.0),( 0.0, 0.0),(-0.5, 0.0),
c     Pxx
     &     (-0.5, 0.0),( 0.0, 0.0),( 1.5, 0.0),
     &     ( 0.0, 0.0),( 1.0, 0.0),( 0.0, 0.0),
     &     ( 1.5, 0.0),( 0.0, 0.0),(-0.5, 0.0),
c     Pxz  [wrong expr. in G.G.Ohlsen]
     &     ( 0.0, 0.0),( r38, 0.0),( 0.0, 0.0),
     &     ( r38, 0.0),( 0.0, 0.0),( s38, 0.0),
     &     ( 0.0, 0.0),( s38, 0.0),( 0.0, 0.0)/
      do i=1,nobs
         obs0(i)=(0.D0,0.D0)
         do m1=-1,1
            do m2=-1,1
               obs0(i)=obs0(i)+S(m1)*opr(m1,m2,i)*conjg(S(m2))
            enddo
         enddo
      enddo
      do i=1,nobs
         obs(i)=obs(i)+dble(obs0(i))
      enddo
      return
      end
