      subroutine formf(lp,s,jtr,t,IB,nua,nub,Ast,nR,dR,ff)
      implicit real*8(a-h,o-z)
      include 'parameter.f'
      integer*4  lp,s,jtr,t,nua,nub,nutr,ta,tb
      real*8     IB,ff(0:nRmax,2)
      real*8     u(0:nRmax,mxspwf),j(mxspwf),j1,j2,samp(mxconf)
      integer*4  nu(mxspwf),n(mxspwf),l(mxspwf)
      integer*4  orbit1(mxconf),orbit2(mxconf)
      character  key(mxspwf)*8,key1*8,key2*8,sp,spmsg(0:1)
      save       key,nu,n,l,j,u,nconf,orbit1,orbit2,samp,pi,amu,iverb
      data       nspwf/0/,spmsg/'F','S'/
      do ir=1,2
         do iy=0,nR
            ff(iy,ir)=0.D0
         enddo
      enddo
      nutr=nua-nub
      ta=abs(nua)	! projectile T is assumed to be Tz
      tb=abs(nub)	! projectile T is assumed to be Tz
      fac1=(-1)**(s+jtr+nutr)*Ast*2*sqrt((2*t+1.D0)/(2*tb+1.D0))
     &     *cleb(2*ta,2*nua,2*t,-2*nutr,2*tb,2*nub)
     &     *(2*s+1)*sqrt((2*lp+1)*(2*jtr+1)*(2*t+1)/(2*pi*(2*IB+1)))
      do iconf=1,nconf
         j1=j(orbit1(iconf))
         j2=j(orbit2(iconf))
         l1=l(orbit1(iconf))
         l2=l(orbit2(iconf))
         n1=1-2*nu(orbit1(iconf)) ! nu1*2 (p:-1, n:+1)
         n2=1-2*nu(orbit2(iconf)) ! nu2*2 (p:-1, n:+1)
         do k=0,2,2
            do lq=abs(lp-k),lp+k,2
               fac2=fac1*(2*lq+1)*sqrt((2*j2+1)*(2*j1+1)*(2*l1+1))
     &              *(-1)**((lp+l1-l2)/2)
     &              *clebz(2*lq,2*lp,2*k)*clebz(2*l1,2*lq,2*l2)
     &              *rac(2*lq,2*lp,2*s,2*s,2*k,2*jtr)
     &              *u9(2*l2,1,2*l1,1,nint(2*j2),nint(2*j1),
     &                  2*lq,2*s,2*jtr)
     &              *cleb(1,n1,2*t,2*nutr,1,n2)
     &              *samp(iconf)
               if (iverb.ne.0) write(0,'(2(I2,F4.1),3I2,F10.5)')
     &                               l1,j1,l2,j2,lp,lq,k,fac2
               if (fac2.ne.0.D0) call ffint(s,t,k,lq,lp,nR,dR,amu,
     &              u(0,orbit1(iconf)),u(0,orbit2(iconf)),fac2,ff)
            enddo
         enddo
      enddo
      return
c
      entry formf0(A,nR,dR,iverb0,*)
      iverb=iverb0
      pi=atan(1.D0)*4.D0
      write(6,'(/A/)') ' single-partile orbits.'
      amu=(A-1.D0)/A
      do while (.true.)
         read(5,*,err=10000) key(nspwf+1),sp,V0,Ebind
         if (key(nspwf+1).eq.'END'.or.key(nspwf+1).eq.'end') goto 10000
         nspwf=nspwf+1
         isw=(index('vVeE',sp)+1)/2-1
         if (isw.lt.0) goto 90000
         call orbit(key(nspwf),
     &        nu(nspwf),n(nspwf),l(nspwf),j(nspwf),*91000)
         call shell(nu(nspwf),n(nspwf),l(nspwf),j(nspwf),isw,
     &        V0,Ebind,nR,dR/amu,u(0,nspwf))
         write(6,'(I3,2H: ,A,3(A,I1),A,F3.1,A,2(F8.3,3A)))')
     &        nspwf,key(nspwf),'(nu=',nu(nspwf),
     &        ', n=',n(nspwf),', l=',l(nspwf),', j=',j(nspwf),
     &        '), V0=',V0,' MeV(',spmsg(1-isw),
     &        '), B.E.=',Ebind,' MeV(',spmsg(isw),')'
      enddo
10000 return
c
      entry formf1(jtr,*)
      write(6,'(/A,I1,A/)')
     &     ' spectroscopic amp. for p-h configurations with j=',jtr,' .'
      nconf=0
      do while (.true.)
         read(5,*,err=20000) key1,key2,samp(nconf+1)
         if (key1.eq.'end'.or.key1.eq.'END') goto 20000
         nconf=nconf+1
         do i=1,nspwf
            if (key1.eq.key(i)) goto 11000
         enddo
         goto 92000
11000    orbit1(nconf)=i
         do i=1,nspwf
            if (key2.eq.key(i)) goto 12000
         enddo
         goto 92000
12000    orbit2(nconf)=i
         write(6,'(I3,2H: ,3A,F8.5)') nconf,
     &        key(orbit1(nconf)),'=> ',key(orbit2(nconf)),samp(nconf)
      enddo
20000 return
c
90000 write(0,*) 'error in spwf: ',sp
91000 return 1
92000 write(0,*) 'error in config: ',key1,key2
      return 1
      end
