      subroutine rsck(nE12,E12,nR,dR,mR,chi)
      implicit real*8(a-h,k,o-z)
      include 'parameter.f'
      real*8     E12(nE12),chi(0:nRmax,*)
      real*8     E(0:nRmax),V(0:nRmax),u(0:nRmax),V0(3),mu(3),mp
      complex*16 H1,H2,S,T
      parameter (mp=931.494*1.007275)
      parameter (hc=197.32705, e2=hc/137.036, ZZ=1.D0)
      logical   phout
      data      V0/-10.463, -1650.6, 6484.2/ ! Reid Soft-Core pot.
      data      mu/  1.   ,     4. ,    7. /
      data      phout/.false./
      rad=atan(1.D0)*4.D0/180.D0
      E(0)=0.D0
      u(0)=0.D0
      do iR=1,nR*mR
         R=iR*dR/mR
         V(iR)=ZZ*e2/R
         x=0.7D0*R
         do i=1,3
            V(iR)=V(iR)+V0(i)*exp(-mu(i)*x)/x
         enddo
         V(iR)=V(iR)*mp/hc**2
      enddo
      iR1=nR*mR-2
      iR2=nR*mR
      dR2=(dR/mR)**2/12.D0
      do iE12=1,nE12
         k12=sqrt(mp*E12(iE12))/hc
         eta=ZZ*e2*0.5D0*mp/(hc**2*k12)
         call coulfg(k12*dR/mR*iR1,eta,0,0,F1,G1)
         call coulfg(k12*dR/mR*iR2,eta,0,0,F2,G2)
         H1=dcmplx(G1,F1)
         H2=dcmplx(G2,F2)
         do iR=1,nR*mR
            R=iR*dR/mR
            E(iR)=k12**2-V(iR)
         enddo
         u(1)=1.D0
         do iR=1,nR*mR-1
            u(iR+1)=((2.D0-10.D0*dR2*E(iR  ))*u(iR  )
     &              -(1.D0+      dR2*E(iR-1))*u(iR-1))
     &             / (1.D0+      dR2*E(iR+1))
         enddo
         T=(u(iR2)*F1-u(iR1)*F2)/(u(iR1)*H2-u(iR2)*H1)
         S=1.D0+(0.D0,2.D0)*T
         if (phout)
     &   write(6,'(F8.2,2F8.2,2F10.5)') E12(iE12),log(S)/2.D0/rad,S
         C=abs(F1+T*H1)/u(iR1)  ! phase set to real
         do iR=0,nR
            chi(iR,iE12)=C*u(iR*mR)
         enddo
      enddo
      return
      entry rsck0(iphout)
      phout=(iphout.ne.0)
      return
      end
