      subroutine shell(nu,n,l,j,sw,V0,Ebind,nR,dR,u)
      implicit real*8(a-h,o-z)
      include 'parameter.f'
      integer    sw		! search on 0:V0, 1:Ebind
      real*8     u(0:nR),j,munit,mn,mu,k,E(0:nRmax),iHl
c     parameter (munit=931.494)				! dw81-style
      parameter (munit=931.494*(1.007275+1.008665)/2.)	! twofnr-style
      parameter (mn=1., hc=197.327, e2=hc/137.036, eps=1.D-6)
      save       r0,d,VLS,r0C,mu,Rc,ZZ
      if (nR.gt.nRmax) stop
      dR2=dR**2/12.
      V0   =-abs(V0)
      Ebind=-abs(Ebind)
      dE=-1.
      E0=10.
      do while (abs(dE).gt.eps)
c        ݥƥ󥷥롢ȿѰ
         k=sqrt(-2.D0*mu*Ebind)/hc
         eta=ZZ*nu*e2*mu/(hc**2*k)
         mR=nR-5                  ! ¸ߤʤäΥߡ
         do i=1,nR
            R=i*dR
            E(i)=2.*mu*Ebind/hc**2-l*(l+1)/R**2
            x=r0C*Rc
            if (R.gt.x) then
               E(i)=E(i)-2.*mu/hc**2*nu*ZZ*e2/R
            else
               E(i)=E(i)-2.*mu/hc**2*nu*ZZ*e2*(3.-(R/x)**2)/2./x
            endif
            x=(R-r0*Rc)/d
            if (x.lt.50.)            ! to avoid overflow
     &      E(i)=E(i)-2.*mu/hc**2*(V0/(1.+exp(x))
     &                 -4.*VLS*exp(x)/(1.+exp(x))**2/(d*R)
     &                    *(j*(j+1.)-l*(l+1.)-0.75)/2.) ! ԥƻߺ
            if (i.gt.1.and.E(i)*E(i-1).le.0.) mR=i  ! ŵŪ
         enddo
c        ŵŪ Numerov ˡʬ
         n0=0
         u(0)=0.
         u(1)=1.
         do i=1,mR-1
            u(i+1)=(2.*(1. -5.*dR2*E(i  ))*u(i  )
     &               - (1. +   dR2*E(i-1))*u(i-1))
     &            /    (1. +   dR2*E(i+1))
            if (u(i)*u(i+1).le.0.) n0=n0+1          ! Ρɿ򥫥
            if (u(i)*u(i+1).lt.0.) n0=n0+1
         enddo
         n0=n0/2
         umR=u(mR)
         f=u(mR-1)/u(mR)
c        Rmax(=nR*dR) ŵŪ Numerov ˡʬ
         u(nR  )=exp(-eta*log(dR* nR   ))*iHl(l,k* nR   )*(k* nR   )
         u(nR-1)=exp(-eta*log(dR*(nR-1)))*iHl(l,k*(nR-1))*(k*(nR-1))
         do i=nR-1,mR,-1
            u(i-1)=(2.*(1. -5.*dR2*E(i  ))*u(i  )
     &               - (1. +   dR2*E(i+1))*u(i+1))
     &            /    (1. +   dR2*E(i-1))
         enddo
         f=f-u(mR-1)/u(mR)
c        ݥƥ󥷥뿼«ͥ륮ν
         if (n0.ne.n) then
c           Ρɿפʤ
            if (sw.eq.0) then
               if ((n-n0)*dE.gt.0) dE=dE/1.97
               dE=sign(dE,dble(n0-n))
               V0=V0+dE
            else
               if ((n0-n)*dE.gt.0) dE=dE/1.97
               dE=sign(dE,dble(n-n0))
               Ebind=Ebind+dE
            endif
         else
c           ŵŪ³狼«ͥ륮
            if (E0.lt.0.) then                 ! 롼פΰܤ򥹥å
               if (f.eq.f0) then
                  dE=0.
               else
                  if (sw.eq.0) then
                     dE=-(V0   -E0)*f/(f-f0)
                  else
                     dE=-(Ebind-E0)*f/(f-f0)
                  endif
               endif
            endif
            f0=f
            if (sw.eq.0) then
               E0=V0
               V0=V0+dE
            else
               E0=Ebind
               Ebind=min(-eps,Ebind+dE)
            endif
         endif
      enddo
      if (abs(f).gt.eps) goto 90000
c     ưؿ³
      u(mR-1)=u(mR-1)/u(mR)*umR
      do i=nR,mR,-1
         u(i)=u(i)/u(mR)*umR
      enddo
c     ưؿεʲ
      s=0.
      do i=1,nR
         s=s+u(i)**2*dR
      enddo
      s=sqrt(s)
      do i=1,nR
         u(i)=u(i)/s
      enddo
      return
c     ѥ᡼ɤ߹
      entry shell0(A,ZZ0)
      read(5,*) r0,d,VLS,r0C
      write(6,'(/A/)') ' single-particle potential parameters.'
      write(6,'(4(2X,A,F5.2))') 'r0=',r0,'a=',d,'VLS=',VLS,'r0C=',r0C
      mu=munit*mn*(A-mn)/A
      Rc=(A-mn)**(1./3.)
      ZZ=ZZ0-1.D0
      return
90000 write(0,*) 'search fail in shell'
      stop 1024
      end
