      implicit real*8(a-h,o-z)
      integer*8 R_div,J_div
      real*8    R_stp,R_max,J_stp,J_min
      real*8    mp,Zp,mt,Zt,Ep,Ecm,mr,k,eta
      parameter (NW=500,nrmx=100)
      real*8    rel(nrmx),wght(nrmx),wfn(nrmx)
      complex*16 W(NW),S
      real*8    F1(200),G1(200),F2(200),G2(200)
      character key*80,fmt*20

      call getarg( 1,key)
      read(key,*) R_div
      call getarg( 2,key)
      read(key,*) R_stp
      call getarg( 3,key)
      read(key,*) R_max
      if (R_div.gt.NW) then
         write(0,*) 'R_div(',R_div,') > NW(',NW,').'
         call exit(2)
      endif

      call getarg( 4,key)
      read(key,*) J_div
      call getarg( 5,key)
      read(key,*) J_stp
      call getarg( 6,key)
      read(key,*) J_min

      call getarg( 7,key)
      read(key,*) mp
      call getarg( 8,key)
      read(key,*) Zp
      call getarg( 9,key)
      read(key,*) mt
      call getarg(10,key)
      read(key,*) Zt
      call getarg(11,key)
      read(key,*) Ep
      Ep=29.1426
      mr=mp*mt/(mp+mt)
      Ecm=Ep*mt/(mp+mt)
      fmscal=0.048196758d0	! 2*mu*c^2/(hc)^2 to be consistent with TWOFNR
      k=sqrt(fmscal*mr*Ecm)
      etacns=0.15805086d0	! sqrt(mu*c^2/2)*e^2/hc to be consistent ....
      eta=etacns*Zp*Zt*sqrt(mr/Ecm)
      call coulfg(k*(R_max-R_stp*1),eta,
     &     0,nint(J_min+(J_div-1)*J_stp),F1,G1)
      call coulfg(k*(R_max-R_stp*3),eta,
     &     0,nint(J_min+(J_div-1)*J_stp),F2,G2)
c     write(0,*) 'k,eta=',k,eta
c     write(0,'(I5,2E16.8)') (jj,G1(jj),F1(jj),jj=1,J_div)

      call getarg(12,key)

      nrel=0
      do while (.true.)
         read(5,*,end=01000) rel(nrel+1),wght(nrel+1),wfn(nrel+1)
         nrel=nrel+1
         if (nrel.gt.nrmx) then
            write(0,*) 'nrel(',nrel,') > nrmx(',nrmx,').'
            call exit(2)
         endif
      enddo
01000 write(0,*) 'nrel=',nrel
      open(1,file=key,status='old',form='unformatted',err=90000)
      do jj=1,J_div
         JS=J_min+(jj-1)*J_stp
         write(0,*) 'J=',JS
         do irel=1,nrel
            read(1) (w(i),i=1,R_div)
c           S=(w(R_div-2)*cmplx(G1(jj),-F1(jj))
c    &        -w(R_div  )*cmplx(G2(jj),-F2(jj)))
c    &       /(w(R_div-2)*cmplx(G1(jj), F1(jj))
c    &        -w(R_div  )*cmplx(G2(jj), F2(jj)))
c           write(0,'(F5.2,2F9.5,F9.5)') rel(irel),S,abs(S)**2
c           write(0,*) w(1),w(R_div)
            if ((irel.lt.4.or.mod(irel,10).eq.1).and.
     &           (JS.le.30.and.mod(JS,5).eq.0)) then
               write(fmt,'(A,I1,A)')
     &              '(A,I2.2,A,F',int(rel(irel)/10.)+4,'.2,A)'
               write(6,fmt) 'cat <<EOF > erwfn-',JS,'-',rel(irel),'.tdr'
               write(6,'(0pF5.2,1p2E11.3)') ((i-1)*R_stp,w(i),i=1,R_div)
               write(6,'(A)') 'EOF'
            endif
         enddo
      enddo
      stop

90000 write(0,*) 'file (',key(:index(key,' ')-1),') not found.'
      call exit(2)

      end

