#! /bin/sh

eval `awk '\
/projectile-target range/{printf("R_MAX=%s\nR_DIV=%s\nR_STP=%s\n",$4,$8,$12)};\
/total spacial angular m/{printf("J_DIV=%d\nJ_MIN=%s\nJ_STP=%s\n",\
($2-$1)/$3+1,$1,$3)};
/projectile +of +mass/{printf("MP=%f;ZP=%f\n",$5,$7)};\
/target +of +mass/{printf("MT=%f;ZT=%f\n",$5,$8)};\
/incoming .+ energy = /{printf("TP=%f\n",$5)}\
' $1.out`

awk '\
/weights and pivots/{flag=1};\
/^\*\*\*\*\*\*\*\*/{flag=0};\
/^ +0\.[0-9]/{if(flag)print $1,$2,$3}\
' $1.out | \
wfn \
$R_DIV $R_STP $R_MAX \
$J_DIV $J_STP $J_MIN \
$MP $ZP $MT $ZT $TP \
$1.wfn

